<mat-card appearance="outlined">
  <h3>Sandbox Instances</h3>
  <sentinel-controls [controls]="controls" (itemClicked)="onControlsAction($event)"></sentinel-controls>
  <sentinel-table [data]="instances$ | async"
                  [hasError]="instancesTableHasError$ | async"
                  [titlecasedActions]=false
                  [displayedActionsCount]="4"
                  elevation="0"
                  (rowAction)="onTableAction($event)"
                  (tableLoad)="onLoadEvent($event)"
                  (refresh)="onLoadEvent($event)">
                  <ng-container *sentinelRow="'stages'; template: stagesTemplate"></ng-container>
                  <ng-container *sentinelRow="'comment'; template: comment"></ng-container>
  </sentinel-table>
</mat-card>

<ng-template #stagesTemplate let-row>
  <kypo-stage-overview [stages]="row.element.stages"
                       [unitId]="row.element.unitId"
                       (stageSelected)="onStageAction($event)">
  </kypo-stage-overview>
</ng-template>

<ng-template #comment let-row>
  <kypo-comment [commentElement]="row.element">
  </kypo-comment>
</ng-template>
